# 1. Principles and practices

This week I worked on defining my final project idea and started to getting used to the documentation process.

## Research

"In this project, a device is designed to record the pressed button on a system that consists of four buttons, each with different colors - red, yellow, green, and blue. Whenever a button is pressed, a record is created containing the chosen number and color, which is then stored in Google Drive. The purpose of this system is to facilitate the formation of teams, dynamics, and workgroups in Webex, based on the collected data. This device allows for easy and interactive data gathering, streamlining the process of organizing teams and fostering collaboration in Webex meetings."

## Useful links

  1.  First Idea
![](../images/week01_01.jpg)

## Code Example

Use the three backticks to separate code.

```
// the setup function runs once when you press reset or power the board
void setup() {
  // initialize digital pin LED_BUILTIN as an output.
  pinMode(LED_BUILTIN, OUTPUT);
}

// the loop function runs over and over again forever
void loop() {
  digitalWrite(LED_BUILTIN, HIGH);   // turn the LED on (HIGH is the voltage level)
  delay(1000);                       // wait for a second
  digitalWrite(LED_BUILTIN, LOW);    // turn the LED off by making the voltage LOW
  delay(1000);                       // wait for a second
}
```

## Gallery

![](../images/sample-photo.jpg)

## Video

### From Vimeo

<iframe src="https://player.vimeo.com/video/10048961" width="640" height="480" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
<p><a href="https://vimeo.com/10048961">Sound Waves</a> from <a href="https://vimeo.com/radarboy">George Gally (Radarboy)</a> on <a href="https://vimeo.com">Vimeo</a>.</p>

### From Youtube

<iframe width="560" height="315" src="https://www.youtube.com/embed/jjNgJFemlC4" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>

## 3D Models

<div class="sketchfab-embed-wrapper"><iframe width="640" height="480" src="https://sketchfab.com/models/658c8f8a2f3042c3ad7bdedd83f1c915/embed" frameborder="0" allow="autoplay; fullscreen; vr" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

<p style="font-size: 13px; font-weight: normal; margin: 5px; color: #4A4A4A;">
    <a href="https://sketchfab.com/models/658c8f8a2f3042c3ad7bdedd83f1c915?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Dita&#39;s Gown</a>
    by <a href="https://sketchfab.com/francisbitontistudio?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Francis Bitonti Studio</a>
    on <a href="https://sketchfab.com?utm_medium=embed&utm_source=website&utm_campaign=share-popup" target="_blank" style="font-weight: bold; color: #1CAAD9;">Sketchfab</a>
</p>
</div>


## Use HTML

You may also embed HTML in your markdown files

<hr />


Try having a seperator line


<hr />

<table border="1">
	<thead>
		<tr>
			<th>ID</th>
			<th>First Name</th>
			<th>Last Name</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>235312</td>
			<td>John</td>
			<td>Doe</td>
		</tr>
		<tr>
			<td>453123</td>
			<td>Mark</td>
			<td>Jones</td>
		</tr>
		<tr>
			<td>998332</td>
			<td>Jonathan</td>
			<td>Smith</td>
		</tr>
		<tr>
			<td>345612</td>
			<td>Andrew</td>
			<td>McArthur</td>
		</tr>
		<tr>
			<td>453123</td>
			<td>Adam</td>
			<td>Fuller</td>
		</tr>
	</tbody>
</table>
